MENU

ServersMan@VPS(CentOS7) メールソフトの設定方法(Thunderbird)

DTI ServersMan@VPS(CentOS7)のメールソフトの設定方法(thunderbird)です。
thunderbirdとは、WindowsやLinuxで使用できるメールソフトです。

 

本ページの目次

 

CentOS7ではメールソフトはEvolutionの方が推しているかな。
標準リポジトリからyumでインストール出来るため。Evolutionの
インストールについては以下のページに記載しました。

 

 

 

サンダーバードはEPELリポジトリに有ります。

 

thunderbirdのインストール

 

■epel-releaseのインストール

※EPELリポジトリからthunderbirdをダウンロードするため。

 

yum install epel-release

 

■thunderbirdのインストール

yum install thunderbird

 

/binにthunderbirdが作成されます。

 

■EPELリポジトリの無効化

vi /etc/yum.repos.d/epel.repo

 

enabled=1を0に変更。

 

※今後、EPELリポジトリを使用する際は

yum install --enablerepo=epel パッケージ名

か、再度enable=1へ変更します。

 

※thunderbirdの脆弱性の対応状況は以下のサイトに記載されています。

 

 

 

thunderbirdのWEBサイトからダウンロードしてインストールする場合

 

■thunderbirdのダウンロード

wgetやfirefoxなどのWEBブラウザからthunderbirdをダウンロードします。

 

■thunderbirdの解凍

bzip2 -dc thunderbird-31.4.0.tar.bz2 | tar xvf -

 

■起動させました。

./thunderbird/thunderbird &

XPCOMGlueLoad error for file /home/ユーザ名/thunderbird/libxul.so:
libXrender.so.1: cannot open shared object file: No such file or directory
Couldn,t load XPCOM.

libXrender.so.1が無いとのこと。

 

■libXrender.so.1のパッケージを探す。

 

yum provides libXrender.so.1

Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: ftp.nara.wide.ad.jp
* extras: ftp.nara.wide.ad.jp
* updates: ftp.nara.wide.ad.jp
libXrender-0.9.8-2.1.el7.i686 : X.Org X11 libXrender runtime library
Repo : base
Matched from:
Provides : libXrender.so.1

 

libXrender-0.9.8-2.1.el7.i686に含まれているとのこと。

 

 

■libXrenderのインストール

yum install libXrender-0.9.8-2.1.el7.i686

 

※またはyum install libXrender.i686

 

 

■thunderbirdの起動

./thunderbird/thunderbird &

XPCOMGlueLoad error for file /home/ユーザ名/thunderbird/libxul.so:
libasound.so.2: cannot open shared object file: No such file or directory
Couldn,t load XPCOM.

libasound.so.2が無いとのこと。

 

■libasound.so.2のパッケージを探す。

 

yum provides libasound.so.2

Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: ftp.nara.wide.ad.jp
* extras: ftp.nara.wide.ad.jp
* updates: ftp.nara.wide.ad.jp
alsa-lib-1.0.27.2-3.el7.i686 : The Advanced Linux Sound Architecture (ALSA) library
Repo : base
Matched from:
Provides : libasound.so.2

 

 

■alsa-lib-1.0.27.2-3.el7.i686のインストール

yum install alsa-lib-1.0.27.2-3.el7.i686

 

■thunderbirdの起動

./thunderbird/thunderbird &

XPCOMGlueLoad error for file /home/ユーザ名/thunderbird/libxul.so:
libdbus-glib-1.so.2: cannot open shared object file: No such file or directory
Couldn,t load XPCOM.

libdbus-glib-1.so.2が無いとのこと。

 

■libdbus-glib-1.so.2のパッケージを探す。

yum provides libdbus-glib-1.so.2

Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: ftp.nara.wide.ad.jp
* extras: ftp.nara.wide.ad.jp
* updates: ftp.nara.wide.ad.jp
dbus-glib-0.100-7.el7.i686 : GLib bindings for D-Bus
Repo : base
Matched from:
Provides : libdbus-glib-1.so.2

 

 

 

■dbus-glib-0.100-7.el7.i686のインストール

yum install dbus-glib-0.100-7.el7.i686

 

 

■thunderbirdの起動

./thunderbird/thunderbird &

XPCOMGlueLoad error for file /home/ユーザー名/thunderbird/libxul.so:
libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory
Couldn,t load XPCOM.

 

■libgtk-x11-2.0.so.0のパッケージを探す。

yum provides libgtk-x11-2.0.so.0

Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: ftp.nara.wide.ad.jp
* extras: ftp.nara.wide.ad.jp
* updates: ftp.nara.wide.ad.jp
gtk2-2.24.22-5.el7.i686 : The GIMP ToolKit (GTK+), a library for creating GUIs for X
Repo : base
Matched from:
Provides : libgtk-x11-2.0.so.0

 

 

■gtk2-2.24.22-5.el7.i686のインストール

yum install gtk2-2.24.22-5.el7.i686

Error: Multilib version problems found. This often means that the root
cause is something else and multilib version checking is just
pointing out that there is a problem. Eg.:

 

1. You have an upgrade for gtk2 which is missing some
dependency that another package requires. Yum is trying to
solve this by installing an older version of gtk2 of the
different architecture. If you exclude the bad architecture
yum will tell you what the root cause is (which package
requires what). You can try redoing the upgrade with
--exclude gtk2.otherarch ... this should give you an error
message showing the root cause of the problem.

 

2. You have multiple architectures of gtk2 installed, but
yum can only see an upgrade for one of those architectures.
If you don,t want/need both architectures anymore then you
can remove the one with the missing update and everything
will work.

 

3. You have duplicate versions of gtk2 installed already.
You can use "yum check" to get yum show these errors.

 

...you can also use --setopt=protected_multilib=false to remove
this checking, however this is almost never the correct thing to
do as something else is very likely to go wrong (often causing
much more problems).

 

Protected multilib versions: gtk2-2.24.22-5.el7.i686 != gtk2-2.24.22-5.el7_0.1.x86_64

 

 

yum remove gtk2-2.24.22-5.el7_0.1.x86_64

 

もう一度
yum remove gtk2-2.24.22-5.el7_0.1.x86_64

 

 

ここまでしてthunderbirdにこだわる必要無いね。

 

Dependency Removed:
adwaita-gtk2-theme.x86_64 0:3.8.4-3.el7 caribou.x86_64 0:0.4.11-3.el7
caribou-gtk2-module.x86_64 0:0.4.11-3.el7 caribou-gtk3-module.x86_64 0:0.4.11-3.el7
exo.x86_64 0:0.10.2-8.el7 firefox.x86_64 0:31.4.0-1.el7.centos
gdm.x86_64 1:3.8.4-28.el7_0.1 gdm-libs.x86_64 1:3.8.4-28.el7_0.1
gedit.x86_64 2:3.8.3-6.el7 gnome-desktop3.x86_64 0:3.8.4-4.el7
gnome-session.x86_64 0:3.8.4-11.el7 gnome-settings-daemon.x86_64 0:3.8.6.1-9.el7_0.1
gnome-shell.x86_64 0:3.8.4-32.el7_0 gnome-themes-standard.x86_64 0:3.8.4-3.el7
libnotify.x86_64 0:0.7.5-7.el7 libwnck.x86_64 0:2.31.0-1.el7
libxfce4ui.x86_64 0:4.10.0-12.el7 mutter.x86_64 0:3.8.4-10.el7
openssh-askpass.x86_64 0:6.4p1-8.el7 pinentry-gtk.x86_64 0:0.8.1-14.el7
pulseaudio-gdm-hooks.x86_64 0:3.0-22.el7 python-caribou.noarch 0:0.4.11-3.el7
vte.x86_64 0:0.28.2-10.el7 xfce4-appfinder.x86_64 0:4.10.1-2.el7
xfce4-session.x86_64 0:4.10.1-7.el7 zenity.x86_64 0:3.8.0-4.el7

 

■gtk2-2.24.22-5.el7.i686のインストール

yum install gtk2-2.24.22-5.el7.i686

 

 

■thunderbirdの起動

./thunderbird/thunderbird &

XPCOMGlueLoad error for file /home/ユーザー名/thunderbird/libxul.so:
libXt.so.6: cannot open shared object file: No such file or directory
Couldn,t load XPCOM.

libXt.so.6が無いとのこと

 

■libXt.so.6のパッケージを探す。

yum provides libXt.so.6

Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: ftp.tsukuba.wide.ad.jp
* extras: ftp.tsukuba.wide.ad.jp
* updates: ftp.tsukuba.wide.ad.jp
libXt-1.1.4-6.1.el7.i686 : X.Org X11 libXt runtime library
Repo : base
Matched from:
Provides : libXt.so.6

 

 

■libXt-1.1.4-6.1.el7.i686のインストール

yum install libXt-1.1.4-6.1.el7.i686

 

 

■thunderbirdの起動

./thunderbird/thunderbird &

(process:1836): GLib-CRITICAL **: g_slice_set_config: assertion `sys_page_size == 0 failed
GLib-GIO-Message: Using the memory GSettings backend. Your settings will not be saved or shared with other applications.

 

起動したけど文字化けしている。止めた。yumで入れよう・・。

 

 

thunderbirdの起動

 

thunderbird

 

※WEBブラウザやwgetでインストールした場合は
thunderbirdディレクトリが有る場所で「./thunderbird/thunderbird &」
もしくは/binにthunderbirdを入れるかかと思います。

 

起動しました。

 

 

 

↓現在、この467円のServersManのVPSを使用しています。
サーバを色々操作できてこの安さは凄いと思います。
色々なサーバ(メール、DNS等)を作りましたが、結構快適です。